classification
Title: Crash on failure in ctypes on Cygwin
Type: behavior Stage: resolved
Components: ctypes Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: PyErr_Format in ctypes uses invalid parameter
View: 23338
Assigned To: Nosy List: amaury.forgeotdarc, belopolsky, elieux, masamoto, meador.inge
Priority: normal Keywords: patch

Created on 2015-03-14 22:04 by elieux, last changed 2015-03-31 02:36 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
3.3-wrong-parameters.patch elieux, 2015-03-14 22:04 Patch for v3.3
Messages (3)
msg238101 - (view) Author: David Macek (elieux) * Date: 2015-03-14 22:04
Two Cygwin-specific sections in `Modules/_ctypes/_ctypes.c` cause a crash due to bad call to `PyErr_Format`. I'm not sure if there's one extra format specifier, or one argument is missing. Patches assuming the former case for v2.7 and v3.3:

https://github.com/Alexpux/MSYS2-packages/blob/master/python3/3.3-wrong-parameters.patch

https://github.com/Alexpux/MSYS2-packages/blob/master/python2/0260-wrong-parameters.patch
msg239325 - (view) Author: Masayuki Yamamoto (masamoto) * Date: 2015-03-26 11:29
similar issue #23338: PyErr_Format in ctypes uses invalid parameter
msg239326 - (view) Author: David Macek (elieux) * Date: 2015-03-26 12:38
Yeah, looks like exactly the same issue. Sorry for the duplicate.
History
Date User Action Args
2015-03-31 02:36:06berker.peksagsetstatus: open -> closed
type: crash -> behavior
superseder: PyErr_Format in ctypes uses invalid parameter
resolution: duplicate
stage: patch review -> resolved
2015-03-26 12:38:46elieuxsetmessages: + msg239326
2015-03-26 11:29:44masamotosetnosy: + masamoto
messages: + msg239325
2015-03-14 22:40:19ned.deilysetnosy: + amaury.forgeotdarc, belopolsky, meador.inge
stage: patch review

versions: + Python 3.5, - Python 3.3
2015-03-14 22:04:28elieuxcreate